cURL
curl "https://app.tatango.com/api/v2/momt_reports/ID" -X GET \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-u emailaddress@mydomain.com:my_api_key \
-H "Host: example.org" \
-H "Cookie: "require 'net/http'
require 'uri'
uri = URI.parse('https://app.tatango.com/api/v2/momt_reports/ID')
http = Net::HTTP.new(uri.host, uri.port)
request = Net::HTTP::Get.new(uri.request_uri)
request.basic_auth("emailaddress@mydomain.com", "my_api_key")
response = http.request(request)var request = new XMLHttpRequest();
request.open('GET', 'https://app.tatango.com/api/v2/momt_reports/ID', false);
request.setRequestHeader('Content-Type', 'application/json');
request.setRequestHeader('Authorization', 'Basic ' + btoa('emailaddress@mydomain.com:my_api_key'));
request.send(null);import requests
url = "https://app.tatango.com/api/v2/momt_reports/{ID}/unprocessed"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tatango.com/api/v2/momt_reports/{ID}/unprocessed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tatango.com/api/v2/momt_reports/{ID}/unprocessed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.tatango.com/api/v2/momt_reports/{ID}/unprocessed")
.header("Authorization", "Basic <encoded-value>")
.asString();{
"status": "OK",
"momt_report": {
"id": 2,
"account_id": 21,
"s3_url": null,
"import_started_at": null,
"import_completed_at": null,
"total_rows": null,
"processed_rows": 0,
"percent_complete": 0,
"mo_count": 0,
"mt_count": 0,
"shortcode": null,
"date_range": "json",
"date_from": "2016-08-08T22:10:41+01:00",
"date_to": "2016-09-07T22:10:41+01:00",
"campaign": null,
"carrier": null,
"phone_number": null,
"direction": null,
"status_array": null,
"created_at": "2016-09-07T14:10:41-07:00",
"updated_at": "2016-09-07T14:10:41-07:00",
"counts_calculated": false,
"type": null,
"is_csv": false,
"webhook_callback_url": null,
"run_errors": null,
"message_type": null,
"cancelled": null
}
}Message Log (MOMT) Reports
Getting Status of a Unprocessed MOMT Report
This endpoint gets the status of an unprocessed MOMT Report.
GET
/
api
/
v2
/
momt_reports
/
{ID}
/
unprocessed
cURL
curl "https://app.tatango.com/api/v2/momt_reports/ID" -X GET \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-u emailaddress@mydomain.com:my_api_key \
-H "Host: example.org" \
-H "Cookie: "require 'net/http'
require 'uri'
uri = URI.parse('https://app.tatango.com/api/v2/momt_reports/ID')
http = Net::HTTP.new(uri.host, uri.port)
request = Net::HTTP::Get.new(uri.request_uri)
request.basic_auth("emailaddress@mydomain.com", "my_api_key")
response = http.request(request)var request = new XMLHttpRequest();
request.open('GET', 'https://app.tatango.com/api/v2/momt_reports/ID', false);
request.setRequestHeader('Content-Type', 'application/json');
request.setRequestHeader('Authorization', 'Basic ' + btoa('emailaddress@mydomain.com:my_api_key'));
request.send(null);import requests
url = "https://app.tatango.com/api/v2/momt_reports/{ID}/unprocessed"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tatango.com/api/v2/momt_reports/{ID}/unprocessed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tatango.com/api/v2/momt_reports/{ID}/unprocessed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.tatango.com/api/v2/momt_reports/{ID}/unprocessed")
.header("Authorization", "Basic <encoded-value>")
.asString();{
"status": "OK",
"momt_report": {
"id": 2,
"account_id": 21,
"s3_url": null,
"import_started_at": null,
"import_completed_at": null,
"total_rows": null,
"processed_rows": 0,
"percent_complete": 0,
"mo_count": 0,
"mt_count": 0,
"shortcode": null,
"date_range": "json",
"date_from": "2016-08-08T22:10:41+01:00",
"date_to": "2016-09-07T22:10:41+01:00",
"campaign": null,
"carrier": null,
"phone_number": null,
"direction": null,
"status_array": null,
"created_at": "2016-09-07T14:10:41-07:00",
"updated_at": "2016-09-07T14:10:41-07:00",
"counts_calculated": false,
"type": null,
"is_csv": false,
"webhook_callback_url": null,
"run_errors": null,
"message_type": null,
"cancelled": null
}
}Request URL
GET https://app.tatango.com/api/v2/momt_reports/{ID}
Authorizations
The momoGood Messaging API v2 authenticates requests by validating an API key passed via HTTP Basic Authentication. Use your login email as the username and your API key as the password.
Path Parameters
ID of MOMT Report to get status of
⌘I